---
title: LocalMediaStream
slug: Web/API/LocalMediaStream
tags:
  - API
  - DOM
  - DOM Reference
  - Interface
  - LocalMediaStream
  - Media
  - Media Capture and Streams API
  - Media Stream API
  - Obsolete
  - Reference
  - WebRTC
---
<div>{{APIRef("Media Capture and Streams")}} {{Obsolete_header}}</div>

<p>The <strong><code>LocalMediaStream</code></strong><strong> </strong>interface was part of the <a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a>, representing a stream of data being generated locally (such as by {{domxref("MediaDevices.getUserMedia", "getUserMedia()")}}. However, <code>getUserMedia()</code> now returns a {{domxref("MediaStream")}} instead, and this interface has been removed from the specification.</p>

<div class="warning">
<p><strong>Warning:</strong> This interface is no longer available in any mainstream browser. <span class="seoSummary">Do not use <code>LocalMediaStream</code>; you need to update any code that does use it as soon as possible or your content or application will stop working. See {{SectionOnPage("/en-US/docs/Web/API/MediaStreamTrack", "Stopping a video stream")}} to learn how.</span> All other functionality is found in {{domxref("MediaStream")}}.</p>
</div>

<p>The primary reason for this interface to exist was to add a <code>stop()</code> method to its {{domxref("MediaStream")}} parent interface. However, control over playback of media has been moved to the individual {{domxref("MediaStreamTrack")}} objects, so this is no longer necessary. Instead, media is stopped by calling {{domxref("MediaStreamTrack.stop()")}} on each track that needs to be stopped. The example for <code>MediaStreamTrack.stop()</code> demonstrates how to stop a multi-track stream, which is what <code>LocalMediaStream.stop()</code> used to be used for.</p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt><code>LocalMediaStream.stop()</code></dt>
 <dd>Stops the stream. When the source of the stream is a connected device (such as a camera or microphone), capture of media from the device is halted. This method is no longer available with the deprecation of <code>LocalMediaStream</code>. See {{SectionOnPage("/en-US/docs/Web/API/MediaStreamTrack", "Stopping a video stream")}} to learn how to stop an entire stream.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification. This interface was previously part of {{SpecName("Media Capture")}} but was removed in 2013.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.LocalMediaStream")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li>{{domxref("MediaStreamTrack.stop()")}}</li>
 <li>{{domxref("MediaDevices.getUserMedia", "getUserMedia()")}}</li>
 <li>{{domxref("Navigator.getUserMedia()")}}, the old, callback-based version of <code>getUserMedia()</code></li>
</ul>
